TRUNCATE()

NAME
TRUNCATE - empty a table or set of tables

SYNOPSIS

TRUNCATE [ TABLE ] name [, ...]

DESCRIPTION

TRUNCATE quickly removes all rows from a set of tables. It has the same effect as an unqualified DELETE on each table, but since it does not actually scan the tables it is faster. This is most useful on large tables.

PARAMETERS

name
    The name (optionally schema-qualified) of a table to be truncated.

NOTES

Only the owner of a table may TRUNCATE it.

TRUNCATE cannot be used on a table that has foreign-key references from other tables, unless all such tables are also truncated in the same command. Checking validity in such cases would require table scans, and the whole point is not to do one.

TRUNCATE will not run any user-defined ON DELETE triggers that might exist for the tables.

EXAMPLES

Truncate the tables bigtable and fattable:

TRUNCATE TABLE bigtable, fattable;

COMPATIBILITY

There is no TRUNCATE command in the SQL standard.